Bug 174780 - initscripts - /sbin/hwclock call in halt ends with "failed" message
initscripts - /sbin/hwclock call in halt ends with "failed" message
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-12-01 20:35 EST by Michal Jaegermann
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-02 12:45:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-12-01 20:35:52 EST
Description of problem:

During shutdowns a message like the following one shows from some time:

Syncing hardware clock to system time audit(1133485819.999:126): user
pid=12098 uid=0 auid=4294967295 msg='changing system time:
exe="/sbin/hwclock" (hostname=?, addr=?, terminal=console res=failed)'

BTW, 4294967295 for auid is 0xffffffff (and arch from where this message
was copied is x86_64).

This is quite far down in a shutdown sequence so it is not logged and hard
to capture other than copying it from a screen.

Does that really means that syncing hardware clock to system time failed?
I am not sure that this detail that audit daemon was closed already a number
of steps ago is relevant.  If it is then maybe /sbin/hwclock should run
somewhare on the beggining of the whole sequence?  If one runs
'/sbin/hwclock --systohc -u' while system is up this does not trigger any
messages like the one above.

Version-Release number of selected component (if applicable):

How reproducible:
on every shutdown
Comment 1 Bill Nottingham 2005-12-02 12:45:05 EST
No, it means logging the message to auditd failed (as auditd isn't running any
more.) See bug 165611.

Note You need to log in before you can comment on or make changes to this bug.